MKC_CHECK_SIZEOF(1)

NAME
mkc_check_sizeof - detects a sizeof(type).

SYNOPSIS
mkc_check_sizeof [OPTIONS] type [headers...]

DESCRIPTION
mkc_check_sizeof detects sizeof( type ) by compiling a test program. Compiled program is not executed, therefore this check is ready for cross-compiling. headers is either a single header file or a list of headers, separated by comma.

OPTIONS

-h  display help message

ENVIRONMENT

CC  Compiler. By default cc is used.

CPPFLAGS, CFLAGS
    Options passed to the compiler.

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   mkc_check_sizeof 'void*'
   mkc_check_sizeof long-long
   mkc_check_sizeof size_t stdlib.h

AUTHOR
Aleksey Cheusov <vle@gmx.net>